# Generated by Django 5.0.9 on 2024-10-23 12:12

from django.db import migrations


def update_data(apps, schema_editor):
    # Get your model dynamically from the historical model state
    WorkloadDocumentInstance = apps.get_model('nemo', 'WorkloadDocumentInstance')

    # Query and update the necessary data
    for workload_document_instance in WorkloadDocumentInstance.objects.select_related('workload_document__user').all():
        workload_document = workload_document_instance.workload_document
        workload_document_instance.user = workload_document.user
        workload_document_instance.save()

def reverse_data(apps, schema_editor):
    pass


class Migration(migrations.Migration):

    dependencies = [
        ('nemo', '0012_workloaddocumentinstance_user_and_more'),
    ]

    operations = [
        migrations.RunPython(update_data, reverse_data),
    ]
